#include <iostream>
#include <math.h>
#include <climits>
#include <algorithm>

using namespace std;
int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    std::cout.tie(NULL);
    long long n,k,x;
    long long zbps=0;
    cin>>n>>k>>x;
    long long  podz[k];
    long long vn[n];
    for(int i=0; i<n; i++)
        cin>>vn[i];
    for(int i=0; i<n-k+1;i++)
    {
        for(int q=0;q<k;q++) 
                podz[q]=0;
       if (i == 0) {
            for(int j = 0; j < k; j++)
                zbps += vn[j];
        } else {
            zbps = zbps - vn[i-1] + vn[i+k-1];
        }

        for(int j=i+1;j<k+i;j++) 
            for(int q=0;q<j-i;q++)
                podz[q]+=vn[j];

        sort(podz, podz+k);
        long long zbpsprim=zbps;
        for(int j=0;j<x-1;j++)
            zbpsprim+=podz[k-1-j];

        cout<<zbpsprim<<' ';
    }
    return 0;
}